<?php
namespace Pinpoint\CarouselManager\Api;

use Pinpoint\CarouselManager\Api\Data\CarouselInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;
/**
 * Interface CarouselRepositoryInterface
 * @package Pinpoint\CarouselManager\Api
 */
interface CarouselRepositoryInterface
{
    /**
     * @param CarouselInterface $page
     * @return mixed
     */
    public function save(CarouselInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param CarouselInterface $page
     * @return mixed
     */
    public function delete(CarouselInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
